﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace TileViewSample
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
			var items = new List<MyItem>();

			for (int i = 0; i < 4; i++)
			{
				var newItem = new RadTileViewItem() { Header = i, Content = "Content " + i };
				if (i == 1)
				{
					newItem.TileState = TileViewItemState.Maximized;
				}
				this.tileViewZero.Items.Add(newItem);
			}


			for (int i = 0; i < 4; i++)
			{
				var newItem = new MyItem() { Header = "Item " + i };
				if (i == 2)
				{
					// Maximize the 3rd item in the second TileView.
					newItem.MyTileState = Telerik.Windows.Controls.TileViewItemState.Maximized;
				}
				if (i == 3)
				{
					// Maximize the 4th item in the third TileView.
					newItem.IsMaximized = true;
				}
				items.Add(newItem);
			}

			this.tileViewOne.ItemsSource = items;
			this.tileViewTwo.ItemsSource = items;
			this.tileViewThree.ItemsSource = items;
		}
	}
}
